Get one organization
curl --request GET \
--url https://{organization}.rescueconsole.com/api/organizations/organizations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/organizations/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/organizations/organizations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"kind": "veterinary_practice",
"email": "<string>",
"phone": "<string>",
"website": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>"
},
"notes": "<string>",
"is_active": true,
"is_emergency": true,
"is_primary_vet": true,
"relationship": "prospect",
"relationship_since": "2023-12-25",
"industry_code": "<string>",
"industry_label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Organizations
Get one organization
The organization, archived or not. Needs read on Organizations.
GET
/
api
/
organizations
/
organizations
/
{id}
Get one organization
curl --request GET \
--url https://{organization}.rescueconsole.com/api/organizations/organizations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/organizations/organizations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/organizations/organizations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"kind": "veterinary_practice",
"email": "<string>",
"phone": "<string>",
"website": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"administrative_area": "<string>",
"postal_code": "<string>"
},
"notes": "<string>",
"is_active": true,
"is_emergency": true,
"is_primary_vet": true,
"relationship": "prospect",
"relationship_since": "2023-12-25",
"industry_code": "<string>",
"industry_label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The organization's ID.
Response
The organization.
What the organization is.
Available options:
veterinary_practice, rescue, shelter, supplier, employer, government, other Every part is optional, and a key not listed here is refused. An empty or null part is removed.
Show child attributes
Show child attributes
false when it is archived.
Always false for anything but a veterinary practice.
Always false for anything but a veterinary practice.
Available options:
prospect, active_client, past_client, partner, supplier, competitor, null